import React from 'react';
import { Field, reduxForm } from 'redux-form';

import formInput from '../../..//common/formInput';

class CreateCategoryForm extends React.Component {
    submit = async ({ name }) => {
        const { actions: { createCategoryRequest } } = this.props;
        console.log('---- EXPRECTED PROMISE------', await createCategoryRequest({
            name
        }))
    }
    render() {
        const { handleSubmit, handlers: { handelClick } } = this.props;
        const { submit } = this;
        return (
            <form onSubmin={handleSubmit(submit)}>
                <Field required name="name" type="name" placeholder="Add new Category" component={formInput} />
                <button className="btn  btn-outline-light bg-stone m-3"
                    type="button"  onClick={() => {
                        handleSubmit(submit)();
                    }
                    }>
                    Add
                </button>
            </form >
        )
    }
}

export default reduxForm({
    form: "createCategoryForm"
})(CreateCategoryForm);