import React from 'react';
import { connect } from 'react-redux';
import { bindActionCreators } from 'redux'
import { createCategoryRequest } from '../../../actions/admin/category/createCategory';
import { changeCategoryRequest } from '../../../actions/admin/category/changeCategory';
import { getCategoryRequest } from '../../../actions/admin/category/getCategory';
import PropagateLoader from 'react-spinners/PropagateLoader';
import GetCategory from './GetCategory'



class AddDeleteCategory extends React.Component {
    state = {
        ckick: false
    }
    componentDidMount() {
        const { getCategoryRequest } = this.props
        getCategoryRequest()
    }
    onClick = () => {
        this.setState((prevState) => ({ click: !prevState.click }));
    }



    render() {
        const { category, createCategoryRequest, getCategoryRequest, changeCategoryRequest, newCategory: { data, isFlag }, changeCategory } = this.props
        const { onClick } = this;

        return (
            <div>
                {
                    !category.isFlag
                        ?
                        <PropagateLoader />
                        :
                        <GetCategory actions={{ getCategoryRequest, createCategoryRequest, changeCategoryRequest }} category={category} data={data} isFlag={isFlag} changeCategory={changeCategory}></GetCategory>
                }
            </div>

        )
    }

}

const
    mapStateToProps = state => ({
        signIn: state.signIn,
        category: state.category,
        newCategory: state.newCategory,
        changeCategory: state.changeCategory
    });

const mapDispatchToProps = dispatch => bindActionCreators({ createCategoryRequest, getCategoryRequest, changeCategoryRequest }, dispatch);

export default connect(mapStateToProps, mapDispatchToProps)(AddDeleteCategory);