import React, { Fragment } from 'react';

export default ({ input, className, placeholder, required, type, meta: { touched, error } }) => (
    <Fragment>
        <input className={className} placeholder={placeholder} type={type} {...input}/>
        {touched && (error && <p className="text-af pt-2 text-uppercase">⚠ {error}</p>)}
        {required ? <p className="text-af pt-2 text-uppercase">⚠ Reqired</p> : null}
    </Fragment>
)