import React from 'react';
import { Link } from "react-router-dom";

import { connect } from 'react-redux';
import { bindActionCreators } from 'redux'
import { getCategoryRequest } from '../../actions/admin/category/getCategory';
import * as routes from '../../constants/routes';




class AddDeleteCategory extends React.Component {
    state = {
        ckick: false
    }
    componentDidMount() {
        const { getCategoryRequest } = this.props
        getCategoryRequest()
    }




    render() {
        const { category:{data}  } = this.props
        // console.log(category)

        return (
                  <div className="slideDown padding profile-page  d-flex flex-row font-ci">
                <div className="w-100 m-5 bg-gradient border rounded">
                    <div className=" m-5 text-center  text-white font-ci font-ci-bold ">
                        {
                            data !== null
                                ?
                                data.map(mass =>
                                    <div className="btn " key={mass.id}>
                                        <button class="btn btn-secondary font-ci font-ci-bold text-light bg-mist " type="button" id={mass.id} key={mass.id} >
                                        <Link  class="font-ci font-ci-bold text-light" to={routes.TESTS}>{mass.name}</Link>
                                        </button>
                                    </div>

                                )
                                :
                                null
                        }

                    </div>
                </div>
            </div>

        )
    }

}

const
    mapStateToProps = state => ({
        category: state.category,
    });

const mapDispatchToProps = dispatch => bindActionCreators({getCategoryRequest}, dispatch);

export default connect(mapStateToProps, mapDispatchToProps)(AddDeleteCategory);