import React from 'react';
import { Field, reduxForm } from 'redux-form';

import formInput from '../../../common/formInput';

class ChangeEmailForm extends React.Component {

    submit = ({email}) => {
        const {actions:{changeEmailRequest},data:{_id},token } = this.props

        changeEmailRequest({
            token,
           _id,
            email
        })
        
    }

    render() {
        const { children, handleSubmit, actions:{changeEmailRequest}, handlers: {  handleClick, handleClicks }, data, token } = this.props;
        const { submit}=this
        return (
            <form onSubmit={handleSubmit(submit)} >
                <Field name="email" type="email" placeholder="Enter new login" component={formInput} className="bg-rgba1 border" />
                <button
                    type="button" className="link link--btn right flex-fill bg-shadow btn text-white font-ci font-ci-bold col-3"  onClick={
                        function() {
                        handleClicks();
                            handleSubmit(submit)();
                        }    
                    
                    }>
                    Change
                </button>
            </form >
        )
    }
}

export default reduxForm({
    form: "changeEmailForm",
    enableReinitialize: true

})(ChangeEmailForm);