import React from 'react';
import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import {getTopicTestRequest} from '../../../actions/user/test/getTopics'
import {startTestRequest} from '../../../actions/user/test/testStart';
import {checkTestRequest} from '../../../actions/user/test/checkTest';
import {nextTestRequest} from '../../../actions/user/test/nextTest'
import Test from './getTest';

	


class PassingTests extends React.Component {
    state={
        _id:null,
        sessionId:null,
        summary:null,
        clickModal:false
    }

componentWillMount(){
    const{getTopicTestRequest} =this.props
    getTopicTestRequest()
}

closeModal = () => { this.setState((prevState) => ({ clickModal: !prevState.clickModal })) }
handelClick=({el:{_id}})=>{
    const{startTestRequest, checkTestRequest}=this.props
    checkTestRequest({_id})
    startTestRequest({_id})
    this.setState({_id:_id})
}
componentWillReceiveProps(nextProps) {
    const{startTest:{data}}=nextProps
    if(data!==null){
        this.setState({sessionId:data.sessionId})
          if(data.finish){
        this.setState({summary:data.summory,clickModal:true})
    }
    }

  
}


    render() {
        const{ handelClick,closeModal}=this
        const {sessionId,_id, summary, clickModal} =this.state
        const{topicTest:{topic},startTest:{data}, checkTestRequest, nextTestRequest, startTestRequest}=this.props;


        return (
            <div className=" profile-page d-flex flex-row font-ci padding  ">
          
                <div className='w-25 p-3  border rounded bg-gradient slideRight'  >
                    {
                        topic!==null
                        ?
                        topic.map(el=>
                            <button type="button" class="text-center overflow-hidden rounded-pill btn-outline-light btn mb-4 borber bg-rgba border-0  font-ci font-ci-bold "key={el._id} id={el._id} onClick={handelClick.bind(null, { el })}>{el.name}</button>
                        )
                        :null
                    }
                </div>
                <div className='w-75 p-3  ml-3 border rounded d-flex flex-row bg-gradient slideLeft'  >
                    {
                        data !==null
                        ?
                        <Test actions={{checkTestRequest, nextTestRequest, startTestRequest}} handlers={{closeModal}} summary={summary} clickModal={clickModal} sessionId={sessionId} _id={_id} data={data}></Test>
                           
                        :
                        null
                    } 
                   
                   
                </div>
            </div>



        )
    }

}

const
    mapStateToProps = state => ({
topicTest:state.topicTest,
startTest:state.startTest

    });

const mapDispatchToProps = dispatch => bindActionCreators({getTopicTestRequest,startTestRequest, checkTestRequest, nextTestRequest }, dispatch);

export default connect(mapStateToProps, mapDispatchToProps)(PassingTests);