import * as actionTypes from '../../constants/admin';
import initialState from './../initialState';

export default function getCategory(state = initialState.initialValues, {payload, type, error}) {

    switch (type) { // payload.type -> type
        case actionTypes.GET_CATEGORY_REQUEST_SUCCESS: {
            
            return {
                ...state,
                categoryId:payload
            }
        }
        case actionTypes.GET_TOPIC_REQUEST_SUCCESS: {

            return {
                ...state,
                name:payload,
            }
        }
        case actionTypes.GET_QUESTIONS_REQUEST_SUCCESS: {

            return {
                ...state,
                question:payload
            }
        }
        default: {
            return state;
        }
    }
}