import * as actionTypes from '../../../constants/admin';
import initialState from '../../initialState';

export default function getTopic(state = initialState.topic, {payload, type, error}) {

    switch (type) { 
        case actionTypes.GET_TOPIC_REQUEST: {
            return {
                ...state,
                isFetching: true,
                isFlag:false,
                payload
            }
        }
        case actionTypes.GET_TOPIC_REQUEST_SUCCESS: {
const {data:{topics}} =payload
            return {
                ...state,
                isFetching: false,
                isFlag:true,
                topics
            }
        }
        case actionTypes.GET_TOPIC_REQUEST_FAILURE: {

            return {
                ...state,
                isFetching: false,
                isFlag:false,
                error
            }
        }
        default: {
            return state;
        }
    }
}