import { combineReducers } from 'redux';
import { reducer as form } from 'redux-form';

import signIn from './auth/signIn';
import signUp from './auth/signUp';
import logOut from './auth/logOut';
import tokenCheckout from './auth/tokenCheckout';

import category from './admin/getCategory';
import newCategory from './admin/createCategory';
import topicId from './admin/test/createTopics';
import topic from './admin/test/getTopic';
import deleteTopic from './admin/test/deleteTopic';
import deleteQuestion from './admin/test/deleteQuestion';
import arrayAnswers from './admin/test/getAnswers'
import changeUser from './admin/test/changeUser';
import deleteUsers from './admin/test/deleteUsers';
import newTopic from './admin/test/newTopic';
import changeCategory from './admin/changeCategory';
import arrayQuestions from './admin/test/getQuestions';


import topicTest from './user/getTopicTest';
import chageLoginReducer from './user/chageLogin';
import changeEmailReducer from './user/changeEmail';
import myUser from './user/myUser'
import users from './admin/getUsers'
import startTest from './user/startTest'

export default combineReducers({

    tokenCheckout,
    logOut,

    signIn,
    signUp,
    chageLoginReducer,
    changeEmailReducer,
    form,
    category,
    changeCategory,
    newCategory,
    topicId,
    myUser,
    users,
    topic,
    arrayQuestions,
    deleteTopic,
    deleteQuestion,
    arrayAnswers,
    changeUser,
    deleteUsers, 
    newTopic,
    topicTest,
    startTest
})