import changeLogin from './changeLogin';
import changeEmail from './changeEmail';
import changePassword from './changePassword';
import myUser from './myUser';

import * as actionTypes from './../../constants/user';
import * as types from './../../constants/admin'

import { takeEvery } from 'redux-saga/effects';

export default function* () {
    yield takeEvery(actionTypes.CHANGE_LOGIN_REQUEST, changeLogin);
    yield takeEvery(actionTypes.CHANGE_EMAIL_REQUEST, changeEmail);
    yield takeEvery(actionTypes.CHANGE_PASSWORD_REQUEST, changePassword);
    yield takeEvery(types.MY_USER_REQUEST, myUser);




}