import React from 'react';
import { Field, reduxForm } from 'redux-form';
import formInput from '../../common/formInput'
import DeleteCategory from './DeleteCategory';



class ChangeCategory extends React.Component {

    submit = ({ name }) => {
        const { actions: { changeCategoryRequest }, categorys: { id } } = this.props;
        changeCategoryRequest({
            name,
            id
        })
    }

    render() {
        const { handleSubmit, handlers:{changeCategoryClick, deleteClick},categorys} = this.props;
        const { submit } = this;

        return (

            <form className="m-2" onSubmin={handleSubmit(submit)}>
                <Field className="form-control mb-3" name="name" type="name" placeholder="Change Category" component={formInput} />
                <div className="d-flex">
                <button className="btn  btn-outline-light bg-stone m-3" type="button" onClick={
                    function () {
                        
                        handleSubmit(submit)();
                    }
                }
                >
                Сhange
                </button>
                <DeleteCategory handlers={{deleteClick}} categorys={categorys}></DeleteCategory>
                </div>
            </form >

        )
    }

}



export default reduxForm({
    form: "changeCategoryForm",
})(ChangeCategory);