import React from 'react';



class GetTest extends React.Component {
    state = {
        arrayTopic: [],
        arrayCategory: []
    }
    componentWillMount() {
        const { data } = this.props;
        this.setState({ arrayCategory: data })
    }

    render() {

        const { handlers:{getQuestionClick} } = this.props;
        const { arrayTopic, topicElement, arrayCategory } = this.state

        return (
                <div className=' slideRight w-45 p-3 bg-gradient border rounded'  >
                    {
                        arrayCategory.map(el =>

                            <div className="btn ">
                                <button class="btn btn-secondary font-ci font-ci-bold text-light bg-mist " onClick={getQuestionClick.bind(null, { el })} type="button" id={el._id} key={el._id} >
                                    {el.name}
                                </button>
                            </div>
                        )
                    }
                </div>
        )
    }

}


export default GetTest;