import React from 'react';
import { connect } from 'react-redux';
import { bindActionCreators } from 'redux'
import ChangeLoginForm from './ChangeLoginForm/index';
import ChangeEmailForm from './ChangeEmailForm/index';
import ChangePasswordForm from './changePassword/index'
import {changeLoginRequest} from '../../../actions/user/changelogin';
import {changeEmailRequest} from '../../../actions/user/changeEmail';
import {changePasswordRequest } from '../../../actions/user/changePassword';
import {myUserRequest} from '../../../actions/admin/meUser'

class ProfilePage extends React.Component {
    
    state={
        clicked:false,
        klick: false,
        click: false
    }
    componentDidMount(){
        const {myUserRequest} =this.props
        myUserRequest()
    }

    handleClick = () => {
        this.setState((prevState) => ({ clicked: !prevState.clicked }));
    }
    handleClicks = () => {
        this.setState((prevState) => ({ klick: !prevState.klick }));
    }
    handleClicked = () => {
        this.setState((prevState) => ({ click: !prevState.click }));
    }

    render() {

        const { myUser:{data, token}, changeLoginRequest, chageLoginReducer, changeEmailRequest, changeEmailReducer, changePasswordRequest} = this.props;
        const {clicked, klick, click} =this.state;
        const {handleClick, handleClicks, handleClicked} = this;


        return (
            <div className="slideDown page page--bottom-only profile-page bg-img d-block w-100 slider-image padding" >
                <div className="border bg-rgba rounded d-flex  ">
                    <div>
                    <div>

                        <img className="m-4 " src=" https://ru.opensuse.org/images/0/0b/Icon-user.png" ></img>
                    </div>
                    </div>
                    <div className="border-left bg-autumn-foliage m-5 rounded w-75 text-white font-ci font-ci-bold">
                            {!clicked
                            ?
                        <div  className ="d-flex mb-3" >
                            <h3 className = " p-2 flex-fill bd-highlight ">Name</h3>
                            <h5 className="p-2 font-po-bold flex-fill bd-highlight align-self-end">{
                                chageLoginReducer.data == null
                                ?
                                data&&data.name 
                                :
                                chageLoginReducer.data

                    
                                }</h5> 
                             <button type="button" onClick ={handleClick}  className=" flex-fill bg-shadow btn text-white font-ci font-ci-bold col-3">Change</button>
                        </div>
                        :
                        <div className ="d-flex mb-3">
                        <h3 className = " p-2 flex-fill bd-highlight">Name</h3>
                        <ChangeLoginForm  data ={data} initialValues={data} token={token} actions ={{changeLoginRequest}} handlers={{ handleClick}}> </ChangeLoginForm>
                        </div>
                            }
                            {!klick
                            ?
                        <div  className ="d-flex mb-3" >
                            <h3 className = "p-2 flex-fill bd-highlight">Email</h3>
                            <h5 className="p-2 flex-fill font-po-bold bd-highlight align-self-end">
                                {
                                    changeEmailReducer.data ===null
                                    ?
                                    data&&data.email
                                    :
                                    changeEmailReducer.data
                                } 
                             </h5>
                            <button type="button" name ="name"  onClick ={handleClicks} className=" flex-fill bg-shadow btn text-white font-ci font-ci-bold col-3">Change</button>
                        </div>
                        :
                        <div  className ="d-flex mb-3" >

                            <h3 className = "p-2 flex-fill bd-highlight">Email</h3>
                            <ChangeEmailForm  data ={data} token={token} initialValues={data} actions ={{changeEmailRequest}} handlers={{ handleClicks}}></ChangeEmailForm>
                        </div>
                            }
                            {
                                !click
                                ?
                        <div  className ="d-flex mb-3" >

                            <h3 className = "p-2 flex-fill bd-highlight">Password</h3>
                            <button type="button" onClick ={handleClicked} className=" flex-fill bg-shadow btn text-white font-ci font-ci-bold col-3">Change</button>
                        </div> 
                         :
                        <div  className ="d-flex mb-3" >
                            <h3 className = "p-2 flex-fill bd-highlight">Password</h3>
                           <ChangePasswordForm data ={data} token={token} actions ={{changePasswordRequest}} handlers={{ handleClicked}}></ChangePasswordForm>

                        </div>
                            }
                 
                    </div>
                </div>
                </div>
                
                
                
            
        )
    }

}

const
    mapStateToProps = state => ({
        myUser:state.myUser,
        chageLoginReducer: state.chageLoginReducer,
        changeEmailReducer:state.changeEmailReducer
    });

const mapDispatchToProps = dispatch => bindActionCreators({changeLoginRequest, changeEmailRequest, changePasswordRequest, myUserRequest}, dispatch);

export default connect(mapStateToProps, mapDispatchToProps)(ProfilePage);