import React, { Component } from "react";
import { Field, reduxForm } from 'redux-form';
import formInput from '../../common/formInput';
import ModalSummary from './ModalSommary'
import {reset} from 'redux-form';
class Test extends React.Component {
    state={
        answers:[],
        question:null,
    }

    submit=()=>{
        const{sessionId,_id, actions:{checkTestRequest, nextTestRequest, startTestRequest} } =this.props;
        const {answers, question} = this.state;
        checkTestRequest({_id})
        nextTestRequest({_id, sessionId,question, answers})
        reset("gfhfh")
        // startTestRequest({_id})

    }
    handelChange=({el:{_id, question}})=>{
this.setState((prevState)=>({answers:prevState.answers.concat(_id)}))
this.setState({question:question})
    }

    render() {
        const { data, handleSubmit, summary, clickModal, handlers:{closeModal} } = this.props;
        const{submit}=this
        return (
            <form onSubmit={handleSubmit(submit)}>

                <h4 className="text-white font-ci">{
                    data.question !==undefined
                    ?
                    data.question.question
                    :null
                    }</h4>
                <div className=' d-flex flex-column'>
                    {
                        data.question !==undefined
                        ?
                        data.question.answersArr.map(el =>
                            <div key={el._id}>
                                <Field name={`answer${el.answer}`}  value={el.answer} type="checkbox" onChange={this.handelChange.bind(null,{el})} component={formInput} />
                                <span className="text-white font-ci">{el.answer}</span>
                                </div>
                        )
                        :
                        <ModalSummary handlers={{closeModal}} summary={summary} clickModal ={clickModal}></ModalSummary>
                    }
                </div>
                <button  className="btn  btn-outline-light bg-stone m-3 right">Next</button>
            </form>
        )
    }
}

export default reduxForm({
    form: "Test",
})(Test)