import * as actionTypes from '../../constants/admin';
import initialState from '../initialState';

export default function newCategory(state = initialState.newCategory, {payload, type, error}) {

    switch (type) { // payload.type -> type
        case 'wtfCreate': { // CREATE_CATEGORY_NULIFY
            return initialState.newCategory
        }

        case actionTypes.CREATE_CATEGORY_REQUEST: {
            
            return {
                ...state,
                isFetching: false,
                isFlag:false,
                data:null
            }
        }
        case actionTypes.CREATE_CATEGORY_REQUEST_SUCCESS: {
            const { data } = payload;

            return {
                ...state,
                isFetching: false,
                isFlag:true,
                data: data,
            }
        }
        case actionTypes.GET_CATEGORY_REQUEST_FAILURE: {

            return {
                ...state,
                isFetching: false,
                error
            }
        }
        default: {
            return state;
        }
    }
}