import * as actionTypes from '../../../constants/admin';
import initialState from '../../initialState';

export default function changeEmailReducer(state = initialState.deleteUsers, {  type, payload }) {
    switch (type) {
        case actionTypes.DELETE_USERS_REQUEST: {
            return {
                ...state,
                isFetching: false,
                payload
            }
        }
        case actionTypes.DELETE_USERS_REQUEST_SUCCESS: {
            // const { user:{email} } = payload;
            // console.log(email)

            return {
                ...state,
                isFetching: true,
                data:payload
            }
        }
        case actionTypes.DELETE_USERS_REQUEST_FAILURE: {
            const { error } = payload;

            return {
                ...state,
                isFetching: false,
                error
            }
        }
        default: {
            return state;
        }
    }
}