import * as actionTypes from '../../constants/user';
import initialState from '../initialState';

export default function getTopicTest(state = initialState.startTest, {payload, type, error}) {

    switch (type) { 
        case actionTypes.GET_TOPIC_TEST_REQUEST: {
            return {
                ...state,
                isFetching: true,
                isFlag:false
            }
        }
        case actionTypes.GET_TOPIC_TEST_REQUEST_SUCCESS: {
const {data:{topics}} =payload
            return {
                ...state,
                isFetching: false,
                isFlag:true,
                topic:topics
            }
        }
        case actionTypes.GET_TOPIC_TEST_REQUEST_FAILURE: {

            return {
                ...state,
                isFetching: false,
                isFlag:false,
                error
            }
        }
        default: {
            return state;
        }
    }
}