import * as actionTypes from './../../constants/admin';
import initialState from './../initialState';

export default function myUser(state = initialState.myUser, {  type, payload }) {
    switch (type) {
        case actionTypes.MY_USER_REQUEST: {
            return {
                ...state,
                isFetching: true,
                payload
            }
        }
        case actionTypes.MY_USER_REQUEST_SUCCESS: {
            const {data} =payload
            return {
                ...state,
                isFetching: false,
                data:data
            }
        }
        case actionTypes.MY_USER_REQUEST_FAILURE: {
            const { error } = payload;
            return {
                ...state,
                isFetching: false,
                error
            }
        }
        default: {
            return state;
        }
    }
}