import createCategory from './createCategory';
import getCategory from './getCategory';
import * as actionTypes from '../../../constants/admin';

import { takeEvery } from 'redux-saga/effects';
import changeCategory from './changeCategory';
import deleteCategory from './deleteCategory';

export default function* () {
    yield takeEvery(actionTypes.CREATE_CATEGORY_REQUEST, createCategory);
    yield takeEvery(actionTypes.GET_CATEGORY_REQUEST, getCategory);
    yield takeEvery(actionTypes.CHANGE_CATEGORY_REQUEST, changeCategory);
    yield takeEvery(actionTypes.DELETE_CATEGORY_REQUEST, deleteCategory);




}