
import * as actionTypes from '../../../constants/admin';

import { takeEvery } from 'redux-saga/effects';
import createTest from './createTest'
import createTopic from './createTopic';
import getTopic from './getTopic';
import getQuestions from './getQuestions';
import deleteTopic from './deleteTopic';
import deleteQuestion from './deleteQuestion'
import getAnswers from './getAnswers';
import changeTest from './changeTest';
import deleteAnswer from './deleteAnswer';

export default function* () {
    yield takeEvery(actionTypes.CREATE_TOPICS_REQUEST, createTopic);
    yield takeEvery(actionTypes.CREATE_TEST_REQUEST, createTest);
    yield takeEvery(actionTypes.GET_TOPIC_REQUEST,getTopic);
    yield takeEvery(actionTypes.GET_QUESTIONS_REQUEST,getQuestions);
    yield takeEvery(actionTypes.DELETE_TOPIC_REQUEST,deleteTopic);
    yield takeEvery(actionTypes.DELETE_QUESTION_REQUEST,deleteQuestion);
    yield takeEvery(actionTypes.GET_ANSWERS_REQUEST,getAnswers);
    yield takeEvery(actionTypes.CHANGE_TEST_REQUEST,changeTest);
    yield takeEvery(actionTypes.DELETE_ANSWER_REQUEST,deleteAnswer);




}