import * as actionTypes from '../../../constants/admin';

import { takeEvery } from 'redux-saga/effects';
import changeUser from './changeUser';
import deleteUsers from './deleteUsers';
import getUser from './getUser';

export default function* () {
    yield takeEvery(actionTypes.GET_USERS_REQUEST, getUser);
    yield takeEvery(actionTypes.CHANGE_USERS_REQUEST,changeUser);
    yield takeEvery(actionTypes.DELETE_USERS_REQUEST,deleteUsers);

}