import { put, call } from 'redux-saga/effects';
import axios from 'axios';
import storageKey from './../../utils/storageKey';

import { MY_USER} from './../../constants/admin';
import { myUserSuccess, myUserFailure } from './../../actions/admin/meUser';

const getItem = localStorage.getItem(storageKey);


export default function* (payload) {
    try {
        const config = {
            headers: {
                "Authorization": `Bearer ${getItem}`
            }
        }
        

        const user = yield call(() =>
        axios.get(MY_USER, config)
        // .then(({ data }) => data)
    )

        yield put(myUserSuccess(user));
    }
    catch ({ message }) {
        yield put(myUserFailure(message));
    }
}