import { put, call, all } from 'redux-saga/effects';
import axios from 'axios';

import { CREATE_TOPICS } from '../../../constants/admin';
import { getTopicTestSuccess, getTopicTestFailure} from '../../../actions/user/test/getTopics';
import storageKey from '../../../utils/storageKey';

const getItem = localStorage.getItem(storageKey);

export default function* () {
    try {
         
        const config ={
           headers: {
                "Authorization": `Bearer ${getItem}`
            }
        }
        
        const topic = yield call(() =>
            axios.get(CREATE_TOPICS ,config)
        )

    yield put(getTopicTestSuccess(topic));

}
    catch ({ message }) {
    yield put(getTopicTestFailure(message));
}
}